Page MenuHomePhabricator

Wiki 3d warehouse
Closed, DeclinedPublic

Description

I want to create a new wiki based project:
Warehouse for 3d models of buildings and other architectural objects, to use them in OpenStreetMap (OSM) and Wikimaps

3d Models' Peculiarities

Formats

There are different formats for 3d models. For purposes of this project there are 2 main classes of formats.

  1. Mesh based. Objects stored as a bunch of vertexes and polygons.
  2. Procedure generated. These formats allows to refine model step by step and looks like a script.

Coordinate Systems

For 3d artists, it's easier to work with local coordinates for model. Taking some point as a reference.
But for geographical systems you'll need a global (latitude, longitude) coordinates.
So there should be a way to bind 3d model stored in commons to geometry stored in OSM and API to translate model coordinates from local to global coordinate space and vice-versa.
(I want to use OSM for georeferencing but I won't to stick to OSM objects as the only one possible reference. So there is a need for metainformation for georeferencing)

Hi/Low Poly

For mesh based models we need a different models with different number of polygons. So we need API to specify what kind of a model we are looking for, low/high/mid poly.

For procedure generated model, we could specify snapshot points, where different level of details could be achieved. From the point of API we need a way to specify do we want to get a script or processed to particular snapshot point model.

OSM Related Issues

For now all what we have to create a 3d objects inside OSM is http://wiki.openstreetmap.org/wiki/Simple_3D_Buildings

Disadvantages of current approach:

  • Its hard to edit
  • You cant get Hi/Low detailed variants of model
  • It violates objects description: in case of a complicated 3d model, building:parts combined with bizarre roof shapes, to model a grass or a stadium seats, but modelled surfaces aren't the roofs of any kind.

Advantages:

It's not widely used inside OSM yet, but there is a possibility to map indoor spaces for large Malls, Airports and so on. With Current approach it's possible to build an door to door routing inside building. It's useless when you want to get just a model to show, but I don't want to loose that ability. I think it could be kept and developed throe procedure generated models and bindings between generated parts of model and some of objects inside OSM.

Misc

Referencing

Reference (translation from local space coordinates to global space coordinates) may-be saved as metadata for exact model.
For purposes of referencing we need:

  1. Editor: Allows to move/rotate model footprint among the map online.
  2. Script/Model processor: Generate footprint of a model. Footprint is a flat projection of model onto model's earth level.

Metadata

  • Refer
  • Statistics

Textures

Related Objects

StatusAssignedTask
DeclinedNone
DeclinedJeeltcraft
ResolvedTheDJ
ResolvedMarkTraceur
DuplicateSnhkicker
ResolvedMarkTraceur
ResolvedNone
ResolvedNone
ResolvedGilles
ResolvedGilles
ResolvedGilles
ResolvedGilles
ResolvedReedy
ResolvedRicordisamoa
ResolvedMarkTraceur
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedMarkTraceur
ResolvedMarkTraceur
ResolvedGilles
ResolvedCKoerner_WMF
Resolveddr0ptp4kt
Resolvedmatthiasmullie
OpenNone
ResolvedCKoerner_WMF
Resolvedmatthiasmullie

Event Timeline

Dkiselev created this task.Jul 30 2015, 8:02 AM
Dkiselev claimed this task.
Dkiselev raised the priority of this task from to Needs Triage.
Dkiselev updated the task description. (Show Details)
Dkiselev added projects: Commons, Maps.
Dkiselev added subscribers: Dkiselev, Yurik.
Restricted Application added a project: Discovery. · View Herald TranscriptJul 30 2015, 8:02 AM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript

@Dkiselev: Hi! Has some prior discussion with a broader audience taken place on-wiki or on mailing lists? Could you link to those?

@Aklapper this year we have some slots for Google Summer of Code (GSOC) and such project was as a one of the possible project to make.
There were discussion during project selection stage. But it were in google melange, and it's not accessible from out of melange.

Anyway I'll invite participants of those discussion and some other OSM 3d enthusiasts.

Dkiselev updated the task description. (Show Details)Aug 3 2015, 1:19 PM
Dkiselev set Security to None.
zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Aug 9 2015, 8:19 AM

Love the idea of having 3D buildings in OSM!

But please be aware that when it comes to (detailed models of) modern buildings, you may run into copyright issues even in countries that normally have "Freedom of Panorama" for architecture (sometimes FOP is limited to 2D representations, in Germany it's limited to what you can see from public places …). Since everything on Commons must be free in both the US and the country of origin (most likely the country the building is placed in), I'm not sure if Commons is the best place for this …

Dkiselev added a comment.EditedAug 11 2015, 10:10 AM

@El_Grafo thank you for your comment.

In such case, the problem can't be solved, just using another storage than Commons, because it means that we can't have truly free and open models for some countries.

This is a message posted to all tasks under "Backlog" at Possible-Tech-Projects. Outreachy-Round-11 is around the corner. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.

This is a message sent to all Possible-Tech-Projects. The new round of Wikimedia Individual Engagement Grants is open until 29 Sep. For the first time, technical projects are within scope, thanks to the feedback received at Wikimania 2015, before, and after (T105414). If someone is interested in obtaining funds to push this task, this might be a good way.

@Qgil thank you for the link to Wikimedia Individual Engagement Grants, but I'm afraid I wouldn't make a good road-map in time.
For now I'm stuck with Vagrant extension for X3D files.

@Dkiselev, there will be a new round of internship programs and Individual Engagement Grants in 5-6 months. Meanwhile, if you or someone else wants to push this task forward...

Hi I'd like to apply for the outreachy with a project on virtual heritage 3D geolocated and procedural models, I'm writing the project right now is there a way to talk with mentors on IRC to be sure my blender skills are ok for your needs?

Regars,
LauraC

jm3 added a subscriber: jm3.Oct 21 2015, 10:05 PM

As I have mentioned in T115987: Outreachy proposal for "Wiki 3d warehouse", this looks more a project idea for OpenStreetMap than for Wikimedia. As of today, Commons doesn't accept 3D file formats.

Elitre added a subscriber: Elitre.Oct 23 2015, 10:30 AM

@Jeeltcraft, @Dkiselev, @Baruneju, @Saverio.G, the questions about the scope and feasibility of this project in the context of Wikimedia and Commons remain open. The Commons community needs to know that this proposal is being presented, and I have been requesting you to post in their Village Pump. Without clear community support, we cannot accept this proposal.

Trying to help you, I have just posted https://commons.wikimedia.org/wiki/Commons:Village_pump#Outreachy_project_proposal_welcomes_Commons_community_feedback

@Jeeltcraft, @Dkiselev, @Baruneju, @Saverio.G, the questions about the scope and feasibility of this project in the context of Wikimedia and Commons remain open. The Commons community needs to know that this proposal is being presented, and I have been requesting you to post in their Village Pump. Without clear community support, we cannot accept this proposal.
Trying to help you, I have just posted https://commons.wikimedia.org/wiki/Commons:Village_pump#Outreachy_project_proposal_welcomes_Commons_community_feedback

Thanks @Qgil for posting it. I was waiting a face-to-face meeting (on Oct 29th) with @Jeeltcraft to clarify what are the best proposals to bring to the community, given the previous discussions on Commons about hosting such file formats. If you feel that time is critical, I could update such discussions right now.

Its unclear to me whether you're trying to make a media handler for some 3d format for mediawiki (arguably in scope), writing an extension to make 3d models in the web browser, proposing to host a separate wiki (not in scope of opw) or something else.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 23 2015, 8:45 AM

Hi all, I'm sorry that the project was declined, but I can see why from your previous comments.
Is there an alternative way to let me work on this task on wikimedia?
Do you think this project may be interesting for these grants?

https://meta.m.wikimedia.org/wiki/Grants:IEG

Regards,
LauraC

@Jelltcraft, thank you for your understanding and your willingness to continue pursuing this project. Yes, IEG is a potential alternative. You could start submitting your idea to https://meta.wikimedia.org/wiki/Grants:IdeaLab, work on it, and then submit it in the next IEG round.

Yurik moved this task from All map-related tasks to Related on the Maps board.Feb 7 2016, 10:24 PM
Sumit added a subscriber: Sumit.Mar 1 2016, 5:37 PM
IMPORTANT: This is a message posted to all tasks under "Need Discussion" at Possible-Tech-Projects. Wikimedia has been accepted as a mentor organization for GSoC '16. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.
Qgil closed this task as Declined.Mar 2 2016, 10:44 AM

I will decline this task for all the reasons explained above. If @Jeeltcraft or someone else wants to reopen it with new energies and a new approach, feel free to do so.

jm3 removed a subscriber: jm3.Mar 4 2016, 7:10 PM

@Jeeltcraft, @Dkiselev, @Baruneju, @Saverio.G, the questions about the scope and feasibility of this project in the context of Wikimedia and Commons remain open. The Commons community needs to know that this proposal is being presented, and I have been requesting you to post in their Village Pump. Without clear community support, we cannot accept this proposal.
Trying to help you, I have just posted https://commons.wikimedia.org/wiki/Commons:Village_pump#Outreachy_project_proposal_welcomes_Commons_community_feedback

Thanks @Qgil for posting it. I was waiting a face-to-face meeting (on Oct 29th) with @Jeeltcraft to clarify what are the best proposals to bring to the community, given the previous discussions on Commons about hosting such file formats. If you feel that time is critical, I could update such discussions right now.

Fixing link for posterity, https://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2015/10#Outreachy_project_proposal_welcomes_Commons_community_feedback

Aeglius removed a subscriber: Aeglius.Mar 7 2017, 3:19 PM